Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232449 - rhn-applet does not change from red ! to yellow ! when security errata are applied
Summary: rhn-applet does not change from red ! to yellow ! when security errata are ap...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhn-applet
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Shannon Hughes
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-15 15:58 UTC by Beth Nackashi
Modified: 2012-06-20 16:19 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 16:19:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Beth Nackashi 2007-03-15 15:58:42 UTC
Description of problem:
This may or may not be related to
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=232097.

The specific problem here is that my client system has applicable security
errata, so the rhn-applet is blinking red.  After I applied all the security
errata using the UI and ran rhn_check, the rhn-applet is still blinking red. 
Since the rhnsd interval is 2 minutes, shouldn't the applet change to yellow by now?

Version-Release number of selected component (if applicable):
rhn-applet-2.1.25-22
rhnlib-2.1.1-3.el4

How reproducible:
always

Steps to Reproduce:
1.  PXE a client to RHEL4 U2 or U3.
2.  Register the client to webqa.
3.  Install the latest rhnlib and rhn-applet and up2date and related stuff.
4.  ssh -Y to the client and run rhn-applet-gui &.
5.  Applet throbber should blink red.
6.  Using the UI, apply all the security-related errata to the client.  This has
to be done manually unfortunately as the UI does not currently offer a way to
"select and apply all security errata".  The security errata have the gold
padlock next to them.
7.  Set the rhnsd interval (/etc/sysconfig/rhn/rhnsd) to 2 min.
8.  Restart rhnsd.
  
Actual results:
Applet does not change to yellow.

Expected results:
Applet should change to yellow.

Additional info:

Comment 3 Red Hat Bugzilla 2007-04-12 02:15:57 UTC
User bnackash@redhat.com's account has been closed

Comment 4 RHEL Product and Program Management 2007-05-09 05:44:18 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 RHEL Product and Program Management 2007-11-29 04:21:36 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Jiri Pallich 2012-06-20 16:19:36 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.